<template>
  <div>
    <h1 class="mb-3">Do you have a family history of any of the following?</h1>
    <p class="text-base mb-6">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
        :input-value="choice"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      text="Next"
      @click="handleClick"
      :disabled="!checkboxSelected.length"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin, referMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import {constants} from "@/constants";

const DISEASE = 'Cardiovascular disease'
const SUDDEN_DEATH = 'Unexplained sudden death'

export default {
  components: {CheckboxInput, CommonBtn},
  mixins: [answersMixin, checkboxMixin, referMixin],
  name: "YourHealth22",
  data() {
    return {
      choices: [
        DISEASE,
        SUDDEN_DEATH,
        constants.NONE_CHOICE,
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_22')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes(SUDDEN_DEATH)) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD because you have a family history of unexplained sudden death. You may have underlying health conditions that respond negatively to our prescription offerings.')
      } else if (this.checkboxSelected.includes(DISEASE)) {
        this.$emit('nextStage')
      } else {
        this.$emit('goTo', 24)
      }
    }
  }
}
</script>

<style scoped>

</style>
